> This page is for Taurus PROTECT, version v3.54.
> For other versions, use one of these documentation indexes:
> - v3.58 (default): https://taurushq.ferndocs.com/protect-capital/v3.58/llms.txt
> - v3.56: https://taurushq.ferndocs.com/protect-capital/v3.56/llms.txt
> - v3.54: https://taurushq.ferndocs.com/protect-capital/v3.54/llms.txt
> - v3.52: https://taurushq.ferndocs.com/protect-capital/v3.52/llms.txt
> - v3.50: https://taurushq.ferndocs.com/protect-capital/v3.50/llms.txt
> - v3.48: https://taurushq.ferndocs.com/protect-capital/v3.48/llms.txt
> - v3.46: https://taurushq.ferndocs.com/protect-capital/v3.46/llms.txt
> - v3.44: https://taurushq.ferndocs.com/protect-capital/v3.44/llms.txt
> - v3.42: https://taurushq.ferndocs.com/protect-capital/v3.42/llms.txt
> - v3.40: https://taurushq.ferndocs.com/protect-capital/v3.40/llms.txt
> - v3.38: https://taurushq.ferndocs.com/protect-capital/v3.38/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://taurushq.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://taurushq.ferndocs.com/_mcp/server.

# Get an issuer

GET https://your-protect-instance.example.com/api/rest/v1/capital/issuers/{id}

This endpoint returns an issuer

Reference: https://taurushq.ferndocs.com/protect-capital/reference/capital/issuers/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

A successful response.

- `issuer` (tgcapitald_mergedIssuer, optional)

## Types

### tgcapitald_mergedIssuer

- `id` (string, optional)
- `name` (string, optional)
- `type` (string, optional)
- `countryCode` (string, optional)
- `legalForm` (string, optional)
- `registryForm` (string, optional)
- `url` (string, optional)
- `logoURL` (string, optional)
- `coverURL` (string, optional)
- `status` (enum, optional)
  - Allowed values: `ISSUER_STATUS_ACTIVE`, `ISSUER_STATUS_ARCHIVED`
- `registryNumber` (string, optional)
- `foundationDate` (string, optional)
- `sector` (string, optional)
- `size` (long, optional)
- `description` (string, optional)
- `contact` (tgcapitald_mergedContact, optional)
- `management` (list of tgcapitald_mergedIssuerMember, optional)
- `board` (list of tgcapitald_mergedIssuerMember, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)

### tgcapitald_mergedContact

- `businessAddress` (string, optional)
- `firstName` (string, optional)
- `lastName` (string, optional)
- `email` (string, optional)
- `phone` (string, optional)

### tgcapitald_mergedIssuerMember

- `id` (string, optional)
- `role` (string, optional)
- `name` (string, optional)
- `signatureURL` (string, optional)

## Examples

**Response**

```json
{
  "issuer": {
    "id": "string",
    "name": "string",
    "type": "string",
    "countryCode": "string",
    "legalForm": "string",
    "registryForm": "string",
    "url": "string",
    "logoURL": "string",
    "coverURL": "string",
    "status": "ISSUER_STATUS_ACTIVE",
    "registryNumber": "string",
    "foundationDate": "string",
    "sector": "string",
    "size": 1,
    "description": "string",
    "contact": {
      "businessAddress": "string",
      "firstName": "string",
      "lastName": "string",
      "email": "string",
      "phone": "string"
    },
    "management": [
      {
        "id": "string",
        "role": "string",
        "name": "string",
        "signatureURL": "string"
      }
    ],
    "board": [
      {
        "id": "string",
        "role": "string",
        "name": "string",
        "signatureURL": "string"
      }
    ],
    "createdAt": "2024-01-15T09:30:00Z",
    "updatedAt": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://your-protect-instance.example.com/api/rest/v1/capital/issuers/id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://your-protect-instance.example.com/api/rest/v1/capital/issuers/id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://your-protect-instance.example.com/api/rest/v1/capital/issuers/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://your-protect-instance.example.com/api/rest/v1/capital/issuers/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://your-protect-instance.example.com/api/rest/v1/capital/issuers/id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-protect-instance.example.com/api/rest/v1/capital/issuers/id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://your-protect-instance.example.com/api/rest/v1/capital/issuers/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://your-protect-instance.example.com/api/rest/v1/capital/issuers/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```